Skip to content
Newer
Older
100644 71 lines (58 sloc) 1.67 KB
21b19db refactor engine testing scenario
Jamie Winsor authored
1 source "http://rubygems.org"
2
aed0b8f Move gemspec method to top of file
Jamie Winsor authored
3 gemspec
4
800d478 @parndt Updated git sources for Refinery.
parndt authored
5 gem 'refinerycms', :git => 'git://github.com/refinery/refinerycms.git'
ccc8572 Updating Git Location
Andrew Hooker authored
6 gem 'refinerycms-i18n', :git => 'git://github.com/refinery/refinerycms-i18n.git'
7 gem 'refinerycms-settings', :git => 'git://github.com/refinery/refinerycms-settings.git'
594dd8c @parndt Now supporting FriendlyId 4
parndt authored
8
2e79e4f @parndt No more git sources in the Gemfile.
parndt authored
9 group :development, :test do
9363e8d Update Gemfile to what would be generated by Refinerycms
Jamie Winsor authored
10 require 'rbconfig'
5e650f6 @ugisozols No need to use awesome_nested_set edge version anymore.
ugisozols authored
11
800d478 @parndt Updated git sources for Refinery.
parndt authored
12 gem 'refinerycms-testing', :git => 'git://github.com/refinery/refinerycms.git'
32125d1 @ugisozols Update gem versions.
ugisozols authored
13 gem 'guard-rspec', '~> 1.1.0'
c6f3611 @ugisozols There's already dev, test group in Gemfile so use that.
ugisozols authored
14
a85aaf6 @parndt Add jruby compatible DB gems.
parndt authored
15 platforms :jruby do
16 gem 'activerecord-jdbcsqlite3-adapter'
17 gem 'activerecord-jdbcmysql-adapter'
18 gem 'activerecord-jdbcpostgresql-adapter'
19 gem 'jruby-openssl'
20 end
21
22 unless defined?(JRUBY_VERSION)
23 gem 'sqlite3'
24 gem 'mysql2'
25 gem 'pg'
26 end
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
27
9363e8d Update Gemfile to what would be generated by Refinerycms
Jamie Winsor authored
28 platforms :mswin, :mingw do
29 gem 'win32console'
30 gem 'rb-fchange', '~> 0.0.5'
31 gem 'rb-notifu', '~> 0.0.4'
32 end
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
33
9363e8d Update Gemfile to what would be generated by Refinerycms
Jamie Winsor authored
34 platforms :ruby do
32125d1 @ugisozols Update gem versions.
ugisozols authored
35 gem 'guard-spork', '~> 1.1.0'
1779274 @parndt Added sqlite3, pg, mysql2 to the Gemfile and added Jamie to the notif…
parndt authored
36
34e5da1 Disable libnotifications for travis
Jamie Winsor authored
37 unless ENV['TRAVIS']
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
38 if RbConfig::CONFIG['target_os'] =~ /darwin/i
32125d1 @ugisozols Update gem versions.
ugisozols authored
39 gem 'rb-fsevent', '~> 0.9.1'
40 gem 'ruby_gntp', '~> 0.3.4'
34e5da1 Disable libnotifications for travis
Jamie Winsor authored
41 end
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
42 if RbConfig::CONFIG['target_os'] =~ /linux/i
32125d1 @ugisozols Update gem versions.
ugisozols authored
43 gem 'rb-inotify', '~> 0.8.8'
44 gem 'libnotify', '~> 0.7.4'
45 gem 'therubyracer', '~> 0.10.1'
34e5da1 Disable libnotifications for travis
Jamie Winsor authored
46 end
9363e8d Update Gemfile to what would be generated by Refinerycms
Jamie Winsor authored
47 end
48 end
49
50 platforms :jruby do
34e5da1 Disable libnotifications for travis
Jamie Winsor authored
51 unless ENV['TRAVIS']
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
52 if RbConfig::CONFIG['target_os'] =~ /darwin/i
32125d1 @ugisozols Update gem versions.
ugisozols authored
53 gem 'ruby_gntp', '~> 0.3.4'
34e5da1 Disable libnotifications for travis
Jamie Winsor authored
54 end
80ca7c1 @parndt Config is deprecated, using RbConfig instread.
parndt authored
55 if RbConfig::CONFIG['target_os'] =~ /linux/i
32125d1 @ugisozols Update gem versions.
ugisozols authored
56 gem 'rb-inotify', '~> 0.8.8'
57 gem 'libnotify', '~> 0.7.4'
34e5da1 Disable libnotifications for travis
Jamie Winsor authored
58 end
9363e8d Update Gemfile to what would be generated by Refinerycms
Jamie Winsor authored
59 end
60 end
eca7a1a Remove spork as a development dependency
Jamie Winsor authored
61 end
62
6b1fcc8 @phiggins Loosen version requirements in Gemfile.
phiggins authored
63 # Refinery/rails should pull in the proper versions of these
cfba1b8 Add Rails3.1 assets gemfile entry into Gemfile (required to start Rai…
Jamie Winsor authored
64 group :assets do
6b1fcc8 @phiggins Loosen version requirements in Gemfile.
phiggins authored
65 gem 'sass-rails'
66 gem 'coffee-rails'
cfba1b8 Add Rails3.1 assets gemfile entry into Gemfile (required to start Rai…
Jamie Winsor authored
67 gem 'uglifier'
68 end
7ae6e14 @ugisozols Use arel 2.1.4 for now because 2.1.5 got yanked.
ugisozols authored
69
9df6580 gemspec revision to support latest master branch of refinerycms
Jamie Winsor authored
70 gem 'jquery-rails'
Something went wrong with that request. Please try again.